summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2011-09-03 02:57:45 +0200
committer Niels Horn2011-09-03 02:57:45 +0200
commit4e126c8b5708625bb18bef90d10eed6329a14de9 (patch)
treed45500e234fd65453313f9f3b11fca66da341258 /academic
parent52815a09ea1bc0dd8f54629230935c71c06df1c9 (diff)
downloadslackbuilds-4e126c8b5708625bb18bef90d10eed6329a14de9.tar.gz
academic/EMBOSS: Added (European Molecular Biology OSS)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/EMBOSS/EMBOSS.SlackBuild90
-rw-r--r--academic/EMBOSS/EMBOSS.info10
-rw-r--r--academic/EMBOSS/README20
-rw-r--r--academic/EMBOSS/References4
-rw-r--r--academic/EMBOSS/doinst.sh3
-rw-r--r--academic/EMBOSS/emboss.desktop8
-rw-r--r--academic/EMBOSS/emboss.pngbin0 -> 1269 bytes
-rw-r--r--academic/EMBOSS/slack-desc19
8 files changed, 154 insertions, 0 deletions
diff --git a/academic/EMBOSS/EMBOSS.SlackBuild b/academic/EMBOSS/EMBOSS.SlackBuild
new file mode 100644
index 0000000000..3ef67501d8
--- /dev/null
+++ b/academic/EMBOSS/EMBOSS.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for EMBOSS
+# Written by Petar Petrov, <ppetrov@paju.oulu.fi> and
+# hereby submitted to the public domain
+
+# THIS SLACKBUILD IS DISTRIBUTETD IN THE HOPE OF BEING
+# USEFUL BUT WITHOUT ANY WARRANTY. THE AUTHOR IS _NOT_
+# RESPONSIBLE FOR ANY DAMAGE OR DATA LOSS CAUSED BY IT.
+
+PRGNAM=EMBOSS
+VERSION=${VERSION:-6.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --with-x \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING FAQ INSTALL NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/emboss.desktop $PKG/usr/share/applications
+cp $CWD/emboss.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/EMBOSS/EMBOSS.info b/academic/EMBOSS/EMBOSS.info
new file mode 100644
index 0000000000..52e4178984
--- /dev/null
+++ b/academic/EMBOSS/EMBOSS.info
@@ -0,0 +1,10 @@
+PRGNAM="EMBOSS"
+VERSION="6.4.0"
+HOMEPAGE="http://emboss.sourceforge.net/"
+DOWNLOAD="ftp://emboss.open-bio.org/pub/EMBOSS/EMBOSS-6.4.0.tar.gz"
+MD5SUM="54993a22064222b01bd4fc8086f7684d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="Niels Horn"
diff --git a/academic/EMBOSS/README b/academic/EMBOSS/README
new file mode 100644
index 0000000000..b3bb191db2
--- /dev/null
+++ b/academic/EMBOSS/README
@@ -0,0 +1,20 @@
+EMBOSS is "The European Molecular Biology Open Software Suite".
+
+EMBOSS is a free Open Source software analysis package specially
+developed for the needs of the molecular biology (e.g. EMBnet) user
+community. The software automatically copes with data in a variety of
+formats and even allows transparent retrieval of sequence data from
+the web. Also, as extensive libraries are provided with the package,
+it is a platform to allow other scientists to develop and release
+software in true open source spirit. EMBOSS also integrates a range of
+currently available packages and tools for sequence analysis into a
+seamless whole. EMBOSS breaks the historical trend towards commercial
+software packages.
+
+For details and citation:
+EMBOSS: The European Molecular Biology Open Software Suite (2000)
+Rice,P. Longden,I. and Bleasby,A. Trends in Genetics 16, (6) pp276-277
+
+If you want to use eprimer3 and multiple sequence alignment programs
+like emma, you should install primer3 and clustalw, both of which are
+available at SlackBuilds.org. \ No newline at end of file
diff --git a/academic/EMBOSS/References b/academic/EMBOSS/References
new file mode 100644
index 0000000000..05d39457f4
--- /dev/null
+++ b/academic/EMBOSS/References
@@ -0,0 +1,4 @@
+References
+
+EMBOSS: The European Molecular Biology Open Software Suite (2000)
+Rice,P. Longden,I. and Bleasby,A. Trends in Genetics 16, (6) pp276--277
diff --git a/academic/EMBOSS/doinst.sh b/academic/EMBOSS/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/EMBOSS/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/EMBOSS/emboss.desktop b/academic/EMBOSS/emboss.desktop
new file mode 100644
index 0000000000..249650b343
--- /dev/null
+++ b/academic/EMBOSS/emboss.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Categories=Education;
+Comment=Bioinformatics suite
+Exec=runJemboss.csh
+Icon=emboss.png
+Name=EMBOSS
+StartupNotify=false
+Type=Application
diff --git a/academic/EMBOSS/emboss.png b/academic/EMBOSS/emboss.png
new file mode 100644
index 0000000000..c9fd651eec
--- /dev/null
+++ b/academic/EMBOSS/emboss.png
Binary files differ
diff --git a/academic/EMBOSS/slack-desc b/academic/EMBOSS/slack-desc
new file mode 100644
index 0000000000..ee0f082ba5
--- /dev/null
+++ b/academic/EMBOSS/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+EMBOSS: EMBOSS (European Molecular Biology Open Software Suite)
+EMBOSS:
+EMBOSS: EMBOSS is a free Open Source software analysis package specially
+EMBOSS: developed for the needs of the molecular biology (e.g. EMBnet)
+EMBOSS: user community.
+EMBOSS:
+EMBOSS:
+EMBOSS:
+EMBOSS:
+EMBOSS: References: /usr/doc/EMBOSS-$VERSION/References
+EMBOSS: Home: http://emboss.sourceforge.net/